## pkgconf 0.9.4

=== debian/changelog ===
pkgconf (0.9.4-1) unstable; urgency=low

  * Initial Release (Closes: #702745).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 05 Jan 2014 01:03:56 +0100
