=== debian/rules ===
#! /usr/bin/make -f

DEB_HOST_MULTIARCH     := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

SYSTEM_LIBDIRS := $(shell for opt in '' $$($${CC-gcc} -print-multi-lib | sed -n -e's/.*;@/-/p'); do \
     gcc $$opt -print-search-dirs | sed -n -e's/^libraries: =//p' \
     | sed -e's/:/\n/g' | xargs -n1 readlink -f | grep -v 'gcc\|/[0-9.]\+$$'; \
    done | sort -u | tr '\n' : | sed 's/:$$//')

%:
	dh $@ --with=autoreconf

override_dh_auto_configure:
	./configure --prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info --disable-shared \
		--with-pkg-config-dir=/usr/local/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig \
		--with-system-libdir=$(SYSTEM_LIBDIRS)

override_dh_auto_install:
	dh_auto_install
	rm -f debian/pkgconf/usr/share/aclocal/pkg.m4

.PHONY: override_dh_auto_configure override_dh_auto_install
