=== debian/watch ===
version=3
http://rabbit.dereferenced.org/~nenolod/distfiles/pkgconf-(.*)\.t.*
