## pkgconf 0.9.5

=== debian/changelog ===
pkgconf (0.9.5-4) unstable; urgency=medium

  * Apply upstream patch to handle --with-system-includedir and
    --with-system-libdir correctly (Closes: #742634).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 07 Jun 2014 23:40:46 +0200

pkgconf (0.9.5-3) unstable; urgency=low

  * Try to handle transition from broken versions of the package
    more smoothly (#739370).

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 18 Feb 2014 08:54:06 +0100

pkgconf (0.9.5-2) unstable; urgency=low

  * Install pkg-config-crosswrapper in a proper directory (Closes: #739370).

 -- Andrew Shadura <andrewsh@debian.org>  Mon, 17 Feb 2014 23:52:51 +0100

pkgconf (0.9.5-1) unstable; urgency=medium

  * New upstream release (Closes: #734491).

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 16 Feb 2014 14:05:31 +0100

pkgconf (0.9.4-2) unstable; urgency=medium

  * Drop useless dependency on pkg-config, ship needed files and divert
    them as required instead.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 08 Feb 2014 13:09:36 +0100
