## pkgconf 0.9.7

=== debian/changelog ===
pkgconf (0.9.7-1) unstable; urgency=medium

  * New upstream release.
  * Drop old patches.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 08 Oct 2014 15:50:35 +0200
