=== debian/rules ===
--- 
+++ 
@@ -11,7 +11,13 @@
 	dh $@ --with=autoreconf
 
 override_dh_auto_configure:
-	./configure --prefix=/usr \
+ifneq "$(wildcard /usr/share/misc/config.sub)" ""
+	cp -f /usr/share/misc/config.sub config.sub
+endif
+ifneq "$(wildcard /usr/share/misc/config.guess)" ""
+	cp -f /usr/share/misc/config.guess config.guess
+endif
+	dh_auto_configure -- --prefix=/usr \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info --disable-shared \
 		--with-pkg-config-dir=/usr/local/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig \
@@ -19,6 +25,6 @@
 
 override_dh_auto_install:
 	dh_auto_install
-	rm -f debian/pkgconf/usr/share/aclocal/pkg.m4
+	chmod +x debian/pkg-config-crosswrapper
 
 .PHONY: override_dh_auto_configure override_dh_auto_install
