## pkgconf 0.9.12

=== debian/changelog ===
pkgconf (0.9.12-6) unstable; urgency=medium

  * Handle --define-variable as pkg-config does (Closes: #862509).

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 13 May 2017 22:43:01 +0200

pkgconf (0.9.12-5) unstable; urgency=medium

  * Add previously missing Depends: libdpkg-perl (Closes: #856525).

 -- Andrew Shadura <andrewsh@debian.org>  Thu, 02 Mar 2017 09:41:54 +0100

pkgconf (0.9.12-4) unstable; urgency=medium

  * Store pkg-config architecture in /usr/lib/pkgconf.multiarch, not
    pkg-config.multiarch.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 26 Feb 2017 13:37:28 +0100

pkgconf (0.9.12-3) unstable; urgency=medium

  * Upload to unstable.
  * Rename dpkg hook and its config to not conflict with pkg-config.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 26 Feb 2017 10:57:06 +0100

pkgconf (0.9.12-2) experimental; urgency=medium

  * Provide pkg-config-compatible cross-building interface:
    - Import crosswrapper and dpkghook from pkg-config
    - Declare Breaks against pkg-config >= 0.29-1
    - Provide pkg-config = 0.29-1
    - Store pkg-config architecture in /usr/lib/pkg-config.multiarch and
      pick that up in the crosswrapper.
    - Set Multi-Arch: foreign.

 -- Andrew Shadura <andrewsh@debian.org>  Fri, 24 Feb 2017 18:42:43 +0100

pkgconf (0.9.12-1) unstable; urgency=medium

  * New upstream release.
  * Make the build reproducible (Closes: #792285).
  * Sync crosswrapper script from pkg-config to search multiarch paths,
    traditional cross-compilation paths, arch-independent paths, and
    /usr/local counterparts.

 -- Andrew Shadura <andrewsh@debian.org>  Wed, 22 Jul 2015 17:42:28 +0200
