=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: devel
 Priority: optional
 Maintainer: Andrew Shadura <andrewsh@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
+Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev
 Homepage: https://github.com/pkgconf/pkgconf
 Standards-Version: 3.9.5
 Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/pkgconf
@@ -10,7 +10,10 @@
 
 Package: pkgconf
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pkg-config
+Multi-Arch: foreign
+Depends: ${shlibs:Depends}, ${misc:Depends}, libdpkg-perl
+Provides: pkg-config (= 0.29-1)
+Breaks: pkg-config (>= 0.29-1)
 Description: manage compile and link flags for libraries
  pkgconf is a replacement for pkg-config, a system for managing library
  compile and link flags that works with automake and autoconf.
