## pkgconf 1.4.2

=== debian/changelog ===
pkgconf (1.4.2-2) unstable; urgency=medium

  * Disable tests until kyua is in Debian. (Closes: #894157)
  * Update the Maintainer field.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 26 Mar 2018 22:56:07 +0200

pkgconf (1.4.2-1) unstable; urgency=medium

  * New upstream version (Closes: #893079, #893080).
  * Drop the patch applied upstream.
  * Add gbp.conf.
  * Update the watch file.
  * Delete binary cruft on clean.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 26 Mar 2018 14:04:56 +0200
