=== debian/rules ===
--- 
+++ 
@@ -37,4 +37,6 @@
 	chmod +x debian/pkg-config-crosswrapper debian/pkgconf-dpkghook
 	echo $(DEB_HOST_MULTIARCH) > debian/pkgconf/usr/lib/pkgconf.multiarch
 
+override_dh_auto_test:
+
 .PHONY: override_dh_auto_configure override_dh_auto_install
