## pkgconf 1.6.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 SET(PACKAGE_BUGREPORT http://github.com/pkgconf/pkgconf/issues)
 SET(PACKAGE_NAME pkgconf)
-SET(PACKAGE_VERSION 1.3.7)
+SET(PACKAGE_VERSION 1.6.0)
 SET(LIBPKGCONF_VERSION "3.0.0")
 SET(LIBPKGCONF_SOVERSION 3)
 
@@ -32,6 +32,8 @@
 SET(pkg_config_dir "${libdir}/pkgconfig:${datadir}/pkgconfig" CACHE STRING "specify the places where pc files will be found")
 SET(PKGCONFIGDIR "${pkg_config_dir}")
 SET(pkg_default_dir "${PKGCONFIGDIR}")   # c'mon, make up your mind
+
+SET(personality_dir "${libdir}/pkgconfig/personality.d:${datadir}/pkgconfig/personality.d" CACHE STRING "specify the places where personality files will be found")
 
 SET(system_libdir "${libdir}" CACHE STRING "specify the system library directory (default LIBDIR)")
 SET(SYSTEM_LIBDIR "${system_libdir}")
@@ -55,7 +57,7 @@
 
 #-------- Configure common compiler options --------
 
-IF (WIN32)
+IF (MSVC)
   # Make warnings fatal... but ignore C4996: 'strdup' two different ways
   SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} /WX /wd4996")
   # Ignore warning C4996: 'strncpy'
@@ -85,6 +87,7 @@
 ENDIF()
 
 INCLUDE_DIRECTORIES(${pkgconf_SOURCE_DIR} ${pkgconf_BINARY_DIR})
+ADD_DEFINITIONS(-DPERSONALITY_PATH=\"${personality_dir}\")
 ADD_DEFINITIONS(-DPKG_DEFAULT_PATH=\"${pkg_default_dir}\")
 ADD_DEFINITIONS(-DSYSTEM_INCLUDEDIR=\"${system_includedir}\")
 ADD_DEFINITIONS(-DSYSTEM_LIBDIR=\"${system_libdir}\")
@@ -98,7 +101,8 @@
 #-------- Build and install executable --------
 
 INCLUDE_DIRECTORIES(${libpkgconf_BINARY_DIR})
-ADD_EXECUTABLE(pkgconf main.c getopt_long.c renderer-msvc.c)
+SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Icli")
+ADD_EXECUTABLE(pkgconf cli/main.c cli/getopt_long.c cli/renderer-msvc.c)
 TARGET_LINK_LIBRARIES(pkgconf libpkgconf)
 INSTALL(TARGETS pkgconf DESTINATION bin)
