=== libpkgconf/CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,9 @@
     dependency.c
     fileio.c
     fragment.c
+    parser.c
     path.c
+    personality.c
     pkg.c
     queue.c
     tuple.c
