=== debian/changelog ===
pkgconf (1.6.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.
  * d/rules: Remove trailing whitespaces.

  [ Andrej Shadura ]
  * New upstream release.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Feb 2019 20:01:57 +0100
