=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: pkgconf
 Section: devel
 Priority: optional
-Maintainer: Andrew Shadura <andrewsh@debian.org>
+Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends: debhelper (>= 9), dh-autoreconf, autotools-dev
 Homepage: https://github.com/pkgconf/pkgconf
 Standards-Version: 3.9.5
-Vcs-Hg: http://anonscm.debian.org/hg/collab-maint/pkgconf
-Vcs-Browser: http://anonscm.debian.org/hg/collab-maint/pkgconf/summary
+Vcs-Git: https://salsa.debian.org/debian/pkgconf
+Vcs-Browser: https://salsa.debian.org/debian/pkgconf
 
 Package: pkgconf
 Architecture: any
