=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
    GCC = $(DEB_HOST_GNU_TYPE)-gcc
 else
    GCC = gcc
-endif 
+endif
 
 SYSTEM_LIBDIRS := $(shell for opt in '' $$($${CC-$(GCC)} -print-multi-lib | sed -n -e's/.*;@/-/p'); do \
      $(GCC) $$opt -print-search-dirs | sed -n -e's/^libraries: =//p' \
