## pkgconf 1.6.3

=== debian/changelog ===
pkgconf (1.6.3-5) unstable; urgency=medium

  [ Alex Syrnikov ]
  * Enable build for shared library.
    - Split libpkgconf into two packages.
    - Add symbols file.

  [ Andrej Shadura ]
  * Bump Standards-Version to 4.4.1.
  * Set upstream metadata fields: Bug-Submit.
  * Drop unnecessary usage of dh-autoreconf (dh 12 uses it by
    default anyway).
  * Declare Breaks against an older libpkgconf as well.
  * Ship a dummy transitional package to ease the transition.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 19 Dec 2019 14:55:51 +0100

pkgconf (1.6.3-4) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * debian/copyright:
    - Avoid repeating the text for the ISC license
    - Update paths for relocated files
    - Identify the X11 license for install-sh
  * Lintian: Override package-contains-empty-directory when intentional.
  * debian/control: Update upstream homepage (moved away from Github).
  * Patch issues in manpages.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Jul 2019 11:20:46 -0300

pkgconf (1.6.3-3) unstable; urgency=medium

  * Declare Breaks/Replaces against the old package versions (Closes:
    #923575).

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 12 Jul 2019 15:40:03 +0200

pkgconf (1.6.3-2) unstable; urgency=medium

  * Merge changes from experimental:
    - Split libpkgconf into a separate package.
    - Install libpkgconf docs.
    - Install NEWS.
    - Use debhelper 12.
    - Use ${perl:Depends}.
    - Wrap and sort debian/control.
    - Refresh debian/copyright.
    - Fix the pkg-config manpage symlink.
    - Don’t install .la
  * Bump Standards-Version.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 12 Jul 2019 15:24:37 +0200

pkgconf (1.6.3-1) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * New upstream release (2019-07-12):
    + Numerous bug fixes, including:
      - An empty PKG_CONFIG_LIBDIR didn't eliminate the default search paths.
      - Fix version tokenisation.
    + Added missing option (--modversion) to the pkgconf(1) manpage.

 -- Andrej Shadura <andrewsh@debian.org>  Fri, 12 Jul 2019 15:13:23 +0200

pkgconf (1.6.0-2) experimental; urgency=medium

  * Split libpkgconf into a separate package.
  * Install libpkgconf docs.
  * Install NEWS.
  * Use debhelper 12.
  * Use ${perl:Depends}.
  * Wrap and sort debian/control.
  * Refresh debian/copyright.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 20 Feb 2019 20:20:22 +0100
