=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,10 @@
 #! /usr/bin/make -f
 
-DEB_HOST_MULTIARCH     := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_HOST_GNU_TYPE     := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE     := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+include /usr/share/dpkg/architecture.mk
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
    SET_PKG_CONFIG = PKG_CONFIG=$(DEB_HOST_GNU_TYPE)-pkg-config
@@ -17,7 +19,7 @@
     done | LC_ALL=C sort -u | tr '\n' : | sed 's/:$$//')
 
 %:
-	dh $@ --with=autoreconf
+	dh $@
 
 override_dh_auto_configure:
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
@@ -28,14 +30,18 @@
 endif
 	$(SET_PKG_CONFIG) dh_auto_configure -- --prefix=/usr \
 		--mandir=\$${prefix}/share/man \
-		--infodir=\$${prefix}/share/info --disable-shared \
+		--infodir=\$${prefix}/share/info \
 		--with-pkg-config-dir=/usr/local/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/local/lib/pkgconfig:/usr/local/share/pkgconfig:/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig:/usr/lib/pkgconfig:/usr/share/pkgconfig \
 		--with-system-libdir=$(SYSTEM_LIBDIRS)
 
 override_dh_auto_install:
 	dh_auto_install
 	chmod +x debian/pkg-config-crosswrapper debian/pkgconf-dpkghook
+	rm debian/tmp/usr/lib/*/*.la
 	echo $(DEB_HOST_MULTIARCH) > debian/pkgconf/usr/lib/pkgconf.multiarch
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS
 
 override_dh_auto_test:
