=== debian/watch ===
version=3
https://distfiles.dereferenced.org/pkgconf/pkgconf-(.*)\.t.*
