## pkgconf 1.7.4~git20210206+dcf529b

=== debian/changelog ===
pkgconf (1.7.4~git20210206+dcf529b-3) unstable; urgency=medium

  * Make the Hurd build succeed despite a kyua crash.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Feb 2021 15:39:47 +0100

pkgconf (1.7.4~git20210206+dcf529b-2) unstable; urgency=medium

  * Fix build on Hurd.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Feb 2021 13:03:32 +0100

pkgconf (1.7.4~git20210206+dcf529b-1) unstable; urgency=medium

  * New upstream snapshot.
  * Update gbp.conf.
  * Update the homepage.
  * Remove no longer needed HOME override, dh_auto_test does this
    automatically in compat level 13.
  * Update the copyright years.
  * Update the upstream metadata.
  * Add missing ${misc:Depends} to Depends for libpkgconf.

 -- Andrej Shadura <andrewsh@debian.org>  Thu, 18 Feb 2021 09:56:16 +0100

pkgconf (1.7.3-2) unstable; urgency=medium

  * Make sure the test framework atf-sh is installed during
    the build process.
  * Don’t install kyua if build profile nocheck.
  * Make test failures non-fatal for now.

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 04 Jan 2021 10:31:41 +0100

pkgconf (1.7.3-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.
  * Drop patches applied upstream.
  * Update the copyrights as per upstream commit 03e5d0f.
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Repository.
  * Update standards version to 4.5.0, no changes needed.

  [ Andrea Bolognani ]
  * Add Depends on dpkg-dev (Closes: #952526)

  [ Nicolas Braud-Santoni ]
  * Enable upstream's testsuite.
  * debian/rules: Provide a temporary “homedir” for tests.

 -- Andrej Shadura <andrewsh@debian.org>  Sat, 02 Jan 2021 17:32:05 +0100
