=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,14 @@
 #! /usr/bin/make -f
 
 include /usr/share/dpkg/architecture.mk
+
+ifneq (,$(filter $(DEB_HOST_ARCH_OS),hurd))
+DEB_CPPFLAGS_MAINT_APPEND = -DPATH_MAX=4096
+
+override_dh_auto_test:
+	: tests fail on Hurd due to a kyua crash
+	-dh_auto_test || cat debian/.debhelper/generated/_source/home/.kyua/logs/kyua.*.log
+endif
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -43,6 +51,4 @@
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 
-override_dh_auto_test:
-
 .PHONY: override_dh_auto_configure override_dh_auto_install
