## pkgconf 1.8.0

=== debian/changelog ===
pkgconf (1.8.0-1) unstable; urgency=medium

  [ Andrej Shadura ]
  * New upstream release.

  [ Simon McVittie ]
  * d/rules: Factor out computation of system library path into a script
  * d/system-libdirs.sh: Always list directories with and without /usr.
    This avoids potentially unwanted -L flags in --libs if pkgconf is
    built on a merged-/usr system and used on a non-merged-/usr system.
    (Closes: #992622)

 -- Andrej Shadura <andrewsh@debian.org>  Mon, 23 Aug 2021 14:48:27 +0200
