=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Andrej Shadura <andrewsh@debian.org>
 Build-Depends:
- debhelper-compat (= 12)
-Homepage: https://git.sr.ht/~kaniini/pkgconf
-Standards-Version: 4.4.1
+ debhelper-compat (= 13),
+ kyua <!nocheck>,
+ atf-sh <!nocheck>
+Homepage: http://pkgconf.org/
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/pkgconf.git
 Vcs-Browser: https://salsa.debian.org/debian/pkgconf
 
@@ -14,6 +16,7 @@
 Multi-Arch: foreign
 Depends:
  libdpkg-perl,
+ dpkg-dev,
  ${misc:Depends},
  ${perl:Depends},
  ${shlibs:Depends}
@@ -32,7 +35,7 @@
 Section: oldlibs
 Architecture: any
 Multi-Arch: same
-Depends: libpkgconf-dev (>= ${binary:Version})
+Depends: libpkgconf-dev (>= ${binary:Version}), ${misc:Depends}
 Description: development files for pkgconf (transitional package)
  pkgconf is a replacement for pkg-config, a system for managing library
  compile and link flags that works with automake and autoconf.
