=== debian/rules ===
--- 
+++ 
@@ -21,10 +21,7 @@
    GCC = gcc
 endif
 
-SYSTEM_LIBDIRS := $(shell for opt in '' $$($${CC-$(GCC)} -print-multi-lib | sed -n -e's/.*;@/-/p'); do \
-     $(GCC) $$opt -print-search-dirs | sed -n -e's/^libraries: =//p' \
-     | sed -e's/:/\n/g' | xargs -n1 readlink -f | grep -v 'gcc\|/[0-9.]\+$$'; \
-    done | LC_ALL=C sort -u | tr '\n' : | sed 's/:$$//')
+SYSTEM_LIBDIRS := $(shell sh debian/system-libdirs.sh $(GCC))
 
 %:
 	dh $@
