=== debian/control ===
Source: pkgconf
Section: devel
Priority: optional
Maintainer: Andrej Shadura <andrewsh@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 kyua <!nocheck>,
 atf-sh <!nocheck>
Homepage: http://pkgconf.org/
Standards-Version: 4.6.0
Vcs-Git: https://salsa.debian.org/debian/pkgconf.git
Vcs-Browser: https://salsa.debian.org/debian/pkgconf
Rules-Requires-Root: no

Package: pkgconf
Architecture: any
Multi-Arch: same
Depends:
 pkgconf-bin (>= ${source:Version}),
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Replaces:
 pkg-config (<< 1.8)
Provides:
 pkg-config (= ${binary:Version})
Breaks:
 pkg-config (<< 1.8)
Description: manage compile and link flags for libraries
 pkgconf is an implementation of the pkg-config system, which helps to configure
 compiler and linker flags for development frameworks.
 .
 pkgconf is a replacement for pkg-config, providing additional functionality
 while also maintaining compatibility.

Package: pkgconf-bin
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${perl:Depends},
 ${shlibs:Depends}
Breaks:
 pkgconf (<< 1.8.0-2~),
Replaces:
 pkgconf (<< 1.8.0-2~),
 pkg-config (<< 1.8),
Description: manage compile and link flags for libraries (binaries)
 pkgconf is an implementation of the pkg-config system, which helps to configure
 compiler and linker flags for development frameworks.
 .
 pkgconf is a replacement for pkg-config, providing additional functionality
 while also maintaining compatibility.
 .
 This package contains the pkgconf binary and related files.

Package: libpkgconf3
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: shared library for pkgconf
 pkgconf is an implementation of the pkg-config system, which helps to configure
 compiler and linker flags for development frameworks.
 .
 pkgconf is a replacement for pkg-config, providing additional functionality
 while also maintaining compatibility.
 .
 libpkgconf is a library which provides access to most of pkgconf's
 functionality, to allow other tooling such as compilers and IDEs to
 discover and use libraries configured by pkgconf.
 .
 This package ships a shared library for libpkgconf.

Package: libpkgconf-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libpkgconf3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Provides: libpkgconf
Breaks: pkgconf (<< 1.6.0-2), libpkgconf (<< 1.6.3-5)
Replaces: pkgconf (<< 1.6.0-2), libpkgconf (<< 1.6.3-5)
Description: development files for pkgconf
 pkgconf is an implementation of the pkg-config system, which helps to configure
 compiler and linker flags for development frameworks.
 .
 pkgconf is a replacement for pkg-config, providing additional functionality
 while also maintaining compatibility.
 .
 libpkgconf is a library which provides access to most of pkgconf's
 functionality, to allow other tooling such as compilers and IDEs to
 discover and use libraries configured by pkgconf.
 .
 This package ships development files for libpkgconf.

Package: pkg-config
Architecture: any
Multi-Arch: same
Section: oldlibs
Depends:
 pkgconf (>= ${source:Version}),
 ${misc:Depends},
Description: manage compile and link flags for libraries (transitional package)
 pkgconf is an implementation of the pkg-config system, which helps to configure
 compiler and linker flags for development frameworks.
 .
 pkgconf is a replacement for pkg-config, providing additional functionality
 while also maintaining compatibility.
 .
 This package only provides a dependency link to the pkgconf package to help
 with package upgrades. It can be safely removed.
