=== debian/watch ===
version=4

https://distfiles.dereferenced.org/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
