=== debian/changelog ===
pkgconf (2.5.1-1) experimental; urgency=medium

  * New upstream release.
  * Add new bomtool package.
  * Aadd myself to Uploaders.
  * Bump the soname libpkgconf3 -> libpkgconf7.
  * debian/copyright: Fix typo in upstream contact.
  * Drop upstreamed patches.
  * Drop old trigger, unneeded after trixie.
  * debian/watch: Update host name.

 -- Andrea Pappacoda <tachi@debian.org>  Sun, 10 Aug 2025 22:28:17 +0200
