=== debian/tests/control ===
Tests: testsuite
Depends: @builddeps@, pkg-config, pkgconf-bin

Tests: basic
Depends: libsdl2-dev
