=== debian/watch ===
version=4

https://distfiles.ariadne.space/@PACKAGE@/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
